import { IConfig, IStorageAdapter, Payload } from '../types';
export declare class CloudStorage implements IStorageAdapter {
    readonly config: IConfig;
    readonly client: any;
    constructor(config: IConfig);
    static init(config: IConfig): CloudStorage;
    head(path: string): Promise<object>;
    set(value: object, path: string, metadata?: {
        [key: string]: any;
    }): Promise<object>;
    get(path: string): Promise<Payload>;
    remove(path: string): Promise<any>;
    copy(path: string, ETag: string, metadata?: {
        [key: string]: any;
    }): Promise<any>;
}
